scoreboard players add @e[tag=chickenmine] age 1

#kill invalid chickens
kill @e[type=chicken,tag=!chickenmine]
#kill @e[type=chicken,tag=invalidchicken]

execute as @e[tag=chickenmine,tag=cmineset,scores={age=60}] at @s run playsound minecraft:entity.creeper.hurt master @a ~ ~ ~ 2 0.7
execute as @e[tag=chickenmine,tag=cmineset,tag=hyper,scores={age=60}] at @s run playsound minecraft:entity.ender_dragon.growl master @a ~ ~ ~ .5 2
execute as @e[tag=chickenmine,tag=cmineset,tag=!hyper,scores={age=60}] at @s run summon chicken ~ ~ ~ {PersistenceRequired:1b,EggLayTime:1999980,Tags:["chickenmine","cmineactive","trap","giveID"],Passengers:[{id:"minecraft:zombie",Silent:1b,Health:1f,IsBaby:1b,CanBreakDoors:0b,Tags:["cminezombie","trap"],Invulnerable:1,ArmorItems:[{},{},{},{id:"minecraft:tnt",Count:1b}],ArmorDropChances:[0.85F,0.85F,0.85F,0.0F],ActiveEffects:[{Id:14b,Amplifier:1b,Duration:1999980,ShowParticles:0b}],Attributes:[{Name:generic.maxHealth,Base:1},{Name:generic.followRange,Base:120},{Name:generic.attackDamage,Base:0}]}],Attributes:[{Name:generic.movementSpeed,Base:0.5}]}
execute as @e[tag=chickenmine,tag=cmineset,tag=hyper,scores={age=60}] at @s run summon chicken ~ ~ ~ {Glowing:1b,PersistenceRequired:1b,Health:12f,EggLayTime:199980,Tags:["chickenmine","cmineactive","hyper","trap","giveID"],Passengers:[{id:"minecraft:zombie",Silent:1b,Invulnerable:1b,CanPickUpLoot:0b,IsBaby:1b,CanBreakDoors:0b,Tags:["cminezombie","trap"],ArmorItems:[{},{},{},{id:"minecraft:tnt",Count:1b,tag:{Enchantments:[{id:"minecraft:mending",lvl:1}]}}],ArmorDropChances:[0.85F,0.85F,0.85F,0.0F],ActiveEffects:[{Id:14b,Amplifier:1b,Duration:199980,ShowParticles:0b}],Attributes:[{Name:generic.followRange,Base:200},{Name:zombie.spawnReinforcements,Base:0}]}],ActiveEffects:[{Id:8b,Amplifier:5b,Duration:199980,ShowParticles:1b},{Id:10b,Amplifier:1b,Duration:199980,ShowParticles:1b},{Id:11b,Amplifier:1b,Duration:199980,ShowParticles:1b}],Attributes:[{Name:generic.maxHealth,Base:12},{Name:generic.knockbackResistance,Base:1},{Name:generic.movementSpeed,Base:0.55}]}
execute as @e[tag=chickenmine,tag=cmineset,scores={age=60}] at @s run scoreboard players operation @e[limit=1,sort=nearest,tag=giveID] playerID = @s playerID
execute as @e[tag=chickenmine,tag=cmineset,scores={age=60}] at @s run tag @e[tag=giveID] remove giveID
execute as @e[tag=chickenmine,tag=cmineset,scores={age=60..}] at @s run tp @s ~ ~-1000 ~

#particles
execute as @e[tag=cmineactive] at @s run particle minecraft:smoke ~ ~1.4 ~ 0 0 0 0.03 1
execute as @e[tag=chickenmine,tag=hyper] at @s run particle minecraft:flame ~ ~.5 ~ .2 .2 .2 0.01 3

#fly if players are above
execute as @e[tag=chickenmine,tag=cmineactive] at @s positioned ~-1.5 ~3 ~-1.5 if entity @e[tag=activeplayer,dx=3,dy=17,dz=3] run effect give @s levitation 1 7 true

#hyper chickens poop traps
execute as @e[tag=chickenmine,tag=hyper,scores={age=100}] at @s run function sprint_racer:items/item_tick/deploy_on_ground/slime_trap
execute as @e[tag=chickenmine,tag=hyper,scores={age=200}] at @s run function sprint_racer:items/item_tick/deploy_on_ground/slime_trap
execute as @e[tag=chickenmine,tag=hyper,scores={age=300}] at @s run function sprint_racer:items/item_tick/deploy_on_ground/magma_trap
execute as @e[tag=chickenmine,tag=hyper,scores={age=400}] at @s run function sprint_racer:items/item_tick/deploy_on_ground/nasty_potion
execute as @e[tag=chickenmine,tag=hyper,scores={age=500}] at @s run function sprint_racer:items/item_tick/deploy_on_ground/tnt
execute as @e[tag=chickenmine,tag=hyper,scores={age=600}] at @s run function sprint_racer:items/item_tick/deploy_on_ground/tnt_shotgun

#explode on contact with player
execute as @e[tag=chickenmine,tag=cmineactive] at @s if entity @e[tag=activeplayer,distance=..2,scores={invisibility=..0}] run tag @s add cmineblowup

#explode on contact with water
execute as @e[tag=chickenmine,tag=cmineactive] at @s if block ~ ~ ~ water run tag @s add cmineblowup

#explode after being alive for too long
tag @e[tag=chickenmine,tag=cmineactive,scores={age=600..}] add cmineblowup

#can only explode once
execute as @e[tag=cmineblowup,tag=!cmineblownup] at @s run kill @e[limit=1,sort=nearest,tag=cminezombie]
execute as @e[tag=cmineblowup,tag=!cmineblownup,tag=hyper] at @s run scoreboard players set @a[distance=..2,tag=activeplayer,scores={invisibility=..0}] burn 1
execute as @e[tag=cmineblowup,tag=!cmineblownup] at @s run function sprint_racer:explode
tag @e[tag=cmineblowup,tag=!cmineblownup] add cmineblownup

kill @e[tag=chickenmine,tag=hyper,tag=cmineblownup]
kill @e[tag=chickenmine,scores={age=660..}]