tag @s add self

#target player in the lead, unless that player is the user
tag @e[limit=1,sort=nearest,tag=!self,tag=activeplayer,scores={itemPosition=1}] add getJustice

#if not, try 2nd
execute unless entity @e[tag=getJustice] run tag @e[limit=1,sort=nearest,tag=!self,tag=activeplayer,scores={itemPosition=2}] add getJustice

#if not, try 3rd
execute unless entity @e[tag=getJustice] run tag @e[limit=1,sort=nearest,tag=!self,tag=activeplayer,scores={itemPosition=3}] add getJustice

#if that failed, go for a random player that isn't the user
execute unless entity @e[tag=getJustice] run tag @e[limit=1,sort=random,tag=!self,tag=activeplayer] add getJustice

#if all else fails, target self
execute unless entity @e[tag=getJustice] run tag @s add getJustice

tag @s remove self

#found a target, clear item
execute if entity @e[tag=getJustice] run clear @s anvil{Tags:["no17"]} 1
execute if entity @e[tag=getJustice] run playsound minecraft:entity.evoker.cast_spell master @a ~ ~ ~ 1 1.1
execute if entity @e[tag=getJustice] run function sprint_racer_language:gameplay/misc_item_text/anvil/justice_is_served
execute if entity @e[tag=getJustice] run scoreboard players set @s inputCooldown 20

#could not find a target, do not consume item
execute unless entity @e[tag=getJustice] run function sprint_racer_language:gameplay/misc_item_text/anvil/cannot_find_target
execute unless entity @e[tag=getJustice] run scoreboard players set @s inputCooldown 10

#give the target the anvil effect
scoreboard players set @e[tag=getJustice] anvil 0
scoreboard players operation @e[tag=getJustice] attackerID = @s playerID
scoreboard players set @e[tag=getJustice] attackTime 150
tag @e[tag=getJustice] remove getJustice