#calculating overall "maturity" of players
#this determines what tracks will be offered
scoreboard players set @e[name=w] maturity 0
execute as @a[tag=playing] run scoreboard players operation @e[name=w] maturity += @s maturity
scoreboard players operation @e[name=w] maturity /= @e[name=w,limit=1] playerCountB
scoreboard players set @e[name=w,scores={difficultyRamp=..0}] maturity 100

#harder tracks will not be chosen if the average player is new
execute if entity @e[name=w,scores={maturity=..2}] run tag @e[tag=random,tag=!rtBlacklist,scores={rNumber=1..8}] add pickViable
execute if entity @e[name=w,scores={maturity=3}] run tag @e[tag=random,tag=!rtBlacklist,scores={rNumber=1..14}] add pickViable
execute if entity @e[name=w,scores={maturity=4..6}] run tag @e[tag=random,tag=!rtBlacklist,scores={rNumber=1..22}] add pickViable
execute if entity @e[name=w,scores={maturity=7..}] run tag @e[tag=random,tag=!rtBlacklist,scores={rNumber=1..22}] add pickViable

#make sure at least one track is off cooldown
execute unless entity @e[tag=pickViable,scores={randomCooldown=..0}] run scoreboard players set @e[limit=1,sort=random,tag=pickViable] randomCooldown 0

#choose a track at random
tag @e[limit=1,sort=random,tag=pickViable,scores={randomCooldown=..0}] add chosenTrack

#in case of error
execute unless entity @e[tag=chosenTrack] run tag @e[tag=random,scores={rNumber=50}] add chosenTrack

tag @e[tag=pickViable] remove pickViable

#cooldown prevents track from getting picked multiple times in a row
scoreboard players remove @e[scores={randomCooldown=1..}] randomCooldown 1
scoreboard players set @e[limit=1,tag=chosenTrack] randomCooldown 4

execute as @a at @s run playsound minecraft:block.note_block.bell master @s ~ 100000 ~ 100000 2
execute as @e[tag=chosenTrack] run function sprint_racer:game_logic/0/vote_preview/race/v_r_index_announce